# Create authorization

This endpoint will help you create authorization for a specific order.

### **Endpoint**

**For the login:password**

<mark style="color:yellow;">`POST`</mark> `https://proxy-seller.com/personal/api/v1/`**`{YourApiKey}`**`/auth/add`

**For the  IP authorization**

<mark style="color:yellow;">`POST`</mark> `https://proxy-seller.com/personal/api/v1/`**`{YourApiKey}`**`/auth/add/ip`

### **Example**

**login:password**

```
https://proxy-seller.com/personal/api/v1/fj4948ffhg58gh843gh/auth/add
```

**IP authorization**

```
https://proxy-seller.com/personal/api/v1/fj4948ffhg58gh843gh/auth/add/ip
```

### **Path parameters:**

<table data-full-width="false"><thead><tr><th width="149">Name</th><th width="259">Value</th><th>Description</th><th data-hidden></th></tr></thead><tbody><tr><td>Authorization</td><td><code>&#x3C;Your_API_Key></code></td><td>Your personal API key (<a href="../../../authorization#get-your-api-keys">how to get</a>)</td><td></td></tr></tbody></table>

### **Request body**

<table><thead><tr><th width="160">Name</th><th width="134">Type</th><th>Description</th></tr></thead><tbody><tr><td>orderNumber</td><td>String</td><td>Order number (<strong>NOT</strong> order_id)</td></tr><tr><td>generateAuth</td><td>String</td><td>Create custom authorization - Y/<strong>N</strong> (<strong>N</strong> - default)</td></tr><tr><td>ip</td><td>String</td><td>IP address</td></tr></tbody></table>

### **Response**

{% tabs %}
{% tab title="200: OK Success response" %}
**login:password**

```json
{
  "status": "success",
  "data": {
    "id": "66decee1e4b0c423139280d9",
    "active": true,
    "login": "abcdef1",
    "password": "fedcba1",
    "orderNumber": "2000096_20240080"
  },
  "errors": []
}
```

{% endtab %}

{% tab title="200: OK Success response" %}
**IP authorizations**

```json
{
  "status": "success",
  "data": {
    "id": "66decee1e4b0c423139280d9",
    "active": true,
    "ip": "127.0.0.1",
    "orderNumber": "2000096_20240080"
  },
  "errors": []
}
```

{% endtab %}

{% tab title="200: OK Error response" %}
**orderNumber not found or incorrect**

```json
{
    "status": "error",
    "data": null,
    "errors": [
        {
            "message": "Set exists [orderNumber]",
            "code": 0,
            "customData": null
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.proxy-seller.com/proxy-seller/actions-with-proxies/authorizations/create-authorization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
